# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils kde-functions

DESCRIPTION="TiEmu - a TI89(ti)/92(+)/V200 emulator"
HOMEPAGE="http://lpg.ticalc.org/prj_tiemu/"
SRC_URI="mirror://sourceforge/gtktiemu/${PN}3-20050915.tar.bz2"
LICENSE="GPL-2"

SLOT="0"
KEYWORDS="~x86"
IUSE="nls kde debug"

DEPEND=">=sci-libs/libticables2-0.0.1
		>=sci-libs/libticalcs2-0.0.1
		>=sci-libs/libtifiles2-0.0.1
		>=dev-libs/glib-2.6.0
		>=gnome-base/libglade-2.4.0
		>=x11-libs/gtk+-2.6.0
		nls? ( sys-devel/gettext )"

S=${WORKDIR}/${PN}

src_unpack() {
        unpack ${A}
        cd ${S}

}


src_compile() {
        use kde && set-kdedir 3

	if use debug; then
		export CFLAGS="$(CFLAGS) -g"
	fi

	local myconf="$(use_enable nls)  $(use_with kde)"
#	econf $(myconf) || die

	cd ${S}
	./configure \
		${myconf} \
		--prefix=/usr \
		--infodir=/usr/share/info \
		--mandir=/usr/share/man \
		--datadir=/usr/share \
		--sysconfdir=/etc \
		--localstatedir=/var/lib || die
#		--host=${CHOST} \

	emake -j1 || die
}

src_install() {
	# The SHARE_DIR is required since it isn't set properly in a makefile.
	make DESTDIR=${D} install || die
	dodoc AUTHORS NEWS README README.linux RELEASE THANKS TODO
}
